.player-section {
    width: 1520px;
    height: auto;
    margin: 0 auto;
    margin-top: 100px;
    display: flex;
    flex-wrap: wrap;
}

.player-container {
    display: inline-block;
    margin: 0;
    width: 1154px;
    height: 649px;
    background: #000000;
    display: flex;
    justify-content: center;
    align-items: center;
}

.episode-container {
    display: inline-block;
    margin: 0;
    width: 366px;
    height: 649px;
    background: #1a1c22;
    overflow: auto;
}

.description-container {
    display: inline-block;
    margin: 0;
    width: 1154px;
    min-height: 163px;
    height: auto;
    border-width: 0 0 1px 0;
    border-style: solid;
    border-color: #232323;
}

.ranking-container {
    width: 366px;
    height: 163px;
    overflow: visible;
}

.ranking {
    float: right;
    width: 300px;
    height: 520px;
    padding: 15px;
    text-align: center;
    color: white;
}

h4 {
    color: #fff;
    font-size: 1.3rem;
}

.ranking-label {
    font-size: 18px;
}

.ranking ul {
    text-align: left;
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.ranking ul li {
    width: 100%;
    height: 32px;
    margin-top: 1px;
    font-size: 12px;
    line-height: 3em;
    overflow: hidden;
    padding: 0 5px;
    border-radius: 4px;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.ranking ul li:hover {
    background: #1a1e21;
}

.ranking ul li:nth-child(1) {
    min-height: 163px;
    color: #0d6efd;
    font-weight: bold;
    overflow-x: hidden;
    position: relative;
    white-space: nowrap;
}
.ranking ul li:nth-child(2) {
    color: #0d6efd;
    font-weight: bold;
}
.ranking ul li:nth-child(3) {
    color: #0d6efd;
    font-weight: bold;
}

.rank1-image {
    position: absolute;
    top: 32px;
    width: 97px;
    height: 129px;
}

.ranking ul li a {
    color: #fff;
}

.suggestion-container {
    display: inline-block;
    margin-top: 100px;
    width: 100%;
    height: auto;
}

.switch-bar {
    width: 100%;
    height: 48px;
    background: #1a1e21;
    margin-bottom: 18px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 10px;
}

/**
 * Sub-Dub switch
 */
.subdub-switch {
    position: relative;
    display: inline-block;
    width: 100px;
    height: 34px;
    cursor: pointer;
}

.subdub-switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.subdub-slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #4994ec;
    -webkit-transition: .4s;
    transition: .4s;
}

.subdub-slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked + .subdub-slider {
    background-color: #50c039;
}

input:focus + .subdub-slider {
    box-shadow: 0 0 1px #50c039;
}

input:checked + .subdub-slider:before {
    -webkit-transform: translateX(64px);
    -ms-transform: translateX(64px);
    transform: translateX(64px);
}

input:checked + .subdub-slider + .subdub-desc span:nth-child(1) {
    display: none;
}
input:checked + .subdub-slider + .subdub-desc span:nth-child(2) {
    display: block;
    position: relative;
    left: -20px;
}
input + .subdub-slider + .subdub-desc span:nth-child(1) {
    display: block;
}
input + .subdub-slider + .subdub-desc span:nth-child(2) {
    display: none;
}


.subdub-desc {
    position: absolute;
    top: 0;
    right: 10px;
    width: 64px;
    height: 34px;
    text-align: center;
    line-height: 2.2em;
    color: #fff;
    font-size: 16px;
}

/* Rounded sliders */
.subdub-slider.subdub-round {
    border-radius: 34px;
}

.subdub-slider.subdub-round:before {
    border-radius: 50%;
}

.switch-container {
    width: 1024px;
    height: auto;
    margin: 10px auto;
}

/*
@media only screen and (max-width: 50020px) {
    :root {
        --player-container-width: calc(100vw - 386px);
        --player-container-height: calc(var(--player-container-width) * 0.5625);
    }
    .player-section {
        width: 100%;
        height: auto;
    }
    .player-container {
        width: var(--player-container-width);
        height: var(--player-container-height);
    }
    .episode-container {
        display: block;
        height: var(--player-container-height);
    }
    .description-container {
        width: var(--player-container-width);
    }
    .suggestion-container {
        width: var(--player-container-width);
        height: calc(var(--movie-card-height) + 60px);
    }
}
 */

/* Yes it's a crazy number, I just want to disable others mode  */
@media only screen and (max-width: 50020px) {
    :root {
        --player-container-width: calc(100vw - 20px);
        --player-container-height: calc(var(--player-container-width) * 0.5625);
    }
    .ranking {
        width: 100%;
    }
    .player-section {
        width: 100%;
        height: auto;
        justify-content: center;
    }
    .player-container {
        margin-top: 10px;
        display: flex;
        width: var(--player-container-width);
        height: var(--player-container-height);
        order: 1;
    }
    .episode-container {
        display: block;
        width: var(--player-container-width);
        height: auto;
        min-height: 300px;
        margin-top: 10px;
        order: 3;
    }
    .description-container {
        order: 2;
        width: var(--player-container-width);
    }
    .ranking-container {
        width: var(--player-container-width);
        order: 5;
        height: auto;
    }
    .suggestion-container {
        order: 4;
    }
}

.episode-count  {
    width: 100%;
    height: 48px;
    background: #222222;
    color: #dddddd;
    text-align: center;
    line-height: 3.2em;
    margin-bottom: 10px
}

.episode-block {
    color: #fff;
    font-size: 14px;
    line-height: 3.2em;
    display: inline-block;
    width: 44px;
    height: 44px;
    border-radius: 4px;
    background: #23252b;
    margin: 2px;
    text-align: center;
    position: relative;
}

.episode-block a:hover {
    color: #0d6efd;
}

.episode-block a {
    color: #fff;
}

.episode-block_view-mark {
    width: 100%;
    height: 12px;
    background: #443e39;
    position: absolute;
    bottom: 0;
    left: 0;
    font-size: 10px;
    line-height: 1.3em;
    border-radius: 0 0 4px 4px;
    color: #e9b275;
}

.view-mark a {
    color: #0d6efd !important;
}

.description-container a{
    color: #ddd;
}

.description-container a:hover{
    color: #fff;
}
